Debian Bug report logs - #671780
Please move ~/.aptitude/cache to $XDG_CACHE_HOME (default ~/.cache)

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Sun, 6 May 2012 21:36:01 UTC

Severity: wishlist

Tags: confirmed, patch, pending

Found in version aptitude/0.6.7-1

Blocking fix for 407284: Is ~/.aptitude/ really needed?

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>:
Bug#671780; Package aptitude. (Sun, 06 May 2012 21:36:05 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please move ~/.aptitude/cache to $XDG_CACHE_HOME (default ~/.cache)
Date: Sun, 06 May 2012 14:32:35 -0700
Package: aptitude
Version: 0.6.7-1
Severity: wishlist

aptitude currently creates a cache in ~/.aptitude/cache .  Please
consider moving this to the standard user cache directory,
$XDG_CACHE_HOME, defaulting to ~/.cache if unset.  Among other things,
this will make it easier to exclude the aptitude cache from backups;
many backup tools already know to skip ~/.cache , and even for those
that don't, excluding one path proves easier than excluding one path per
program.

Thanks,
Josh Triplett

-- Package-specific info:
Terminal: xterm
$DISPLAY is set.
which aptitude: /usr/bin/aptitude

aptitude version information:
aptitude 0.6.7 compiled at May  5 2012 02:05:03
Compiler: g++ 4.6.3
Compiled against:
  apt version 4.12.0
  NCurses version 5.9
  libsigc++ version: 2.2.10
  Ept support enabled.
  Gtk+ support disabled.
  Qt support disabled.

Current library versions:
  NCurses version: ncurses 5.9.20110404
  cwidget version: 0.5.16
  Apt version: 4.12.0

aptitude linkage:
	linux-vdso.so.1 =>  (0x00007fff5fc7d000)
	libapt-pkg.so.4.12 => /usr/lib/x86_64-linux-gnu/libapt-pkg.so.4.12 (0x00007f9bea127000)
	libncursesw.so.5 => /lib/x86_64-linux-gnu/libncursesw.so.5 (0x00007f9be9ef8000)
	libtinfo.so.5 => /lib/x86_64-linux-gnu/libtinfo.so.5 (0x00007f9be9ccf000)
	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0x00007f9be9aca000)
	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0x00007f9be97ca000)
	libept.so.1.0.5.4.12 => /usr/lib/libept.so.1.0.5.4.12 (0x00007f9be9577000)
	libxapian.so.22 => /usr/lib/libxapian.so.22 (0x00007f9be917a000)
	libz.so.1 => /usr/lib/x86_64-linux-gnu/libz.so.1 (0x00007f9be8f64000)
	libsqlite3.so.0 => /usr/lib/x86_64-linux-gnu/libsqlite3.so.0 (0x00007f9be8cbc000)
	libboost_iostreams.so.1.49.0 => /usr/lib/libboost_iostreams.so.1.49.0 (0x00007f9be8aa3000)
	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f9be8887000)
	libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f9be857f000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f9be82fd000)
	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f9be80e7000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f9be7d5f000)
	libutil.so.1 => /lib/x86_64-linux-gnu/libutil.so.1 (0x00007f9be7b5c000)
	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f9be7958000)
	libbz2.so.1.0 => /lib/x86_64-linux-gnu/libbz2.so.1.0 (0x00007f9be7747000)
	libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f9be7542000)
	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f9be7339000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f9beaabf000)

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages aptitude depends on:
ii  libapt-pkg4.12            0.9.2
ii  libboost-iostreams1.49.0  1.49.0-3
ii  libc6                     2.13-32
ii  libcwidget3               0.5.16-3.2
ii  libept1.4.12              1.0.6.1
ii  libgcc1                   1:4.7.0-7
ii  libncursesw5              5.9-7
ii  libsigc++-2.0-0c2a        2.2.10-0.1
ii  libsqlite3-0              3.7.11-3
ii  libstdc++6                4.7.0-7
ii  libtinfo5                 5.9-7
ii  libxapian22               1.2.8-1
ii  zlib1g                    1:1.2.7.dfsg-1

Versions of packages aptitude recommends:
ii  apt-xapian-index                <none>
ii  aptitude-doc-en | aptitude-doc  <none>
ii  libparse-debianchangelog-perl   1.2.0-1
ii  sensible-utils                  0.0.6

Versions of packages aptitude suggests:
pn  debtags  <none>
pn  tasksel  <none>

-- no debconf information




Added indication that bug 671780 blocks 407284 Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Wed, 23 May 2012 09:45:32 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Mon, 02 Jul 2012 05:57:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>:
Bug#671780; Package aptitude. (Sat, 01 Dec 2012 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Heintzmann <Heintzmann.Eric@free.fr>:
Extra info received and forwarded to list. Copy sent to Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>. (Sat, 01 Dec 2012 13:30:03 GMT) Full text and rfc822 format available.

Message #12 received at 671780@bugs.debian.org (full text, mbox):

From: Eric Heintzmann <Heintzmann.Eric@free.fr>
To: 671780@bugs.debian.org
Subject: What is planned about FreeDesktop XDG basedir specification for aptitude?
Date: Sat, 01 Dec 2012 14:27:41 +0100
http://ploum.net/post/207-modify-your-application-to-use-xdg-folders
https://live.gnome.org/GnomeGoals/XDGConfigFolders
http://www.freedesktop.org/wiki/Specifications/basedir-spec



Information forwarded to debian-bugs-dist@lists.debian.org, Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>:
Bug#671780; Package aptitude. (Sat, 08 Dec 2012 03:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Hartwig <mandyke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>. (Sat, 08 Dec 2012 03:03:04 GMT) Full text and rfc822 format available.

Message #17 received at 671780@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: Eric Heintzmann <Heintzmann.Eric@free.fr>, 671780@bugs.debian.org
Subject: Re: [Aptitude-devel] Bug#671780: What is planned about FreeDesktop XDG basedir specification for aptitude?
Date: Sat, 8 Dec 2012 11:00:52 +0800
On 1 December 2012 21:27, Eric Heintzmann <Heintzmann.Eric@free.fr> wrote:
> [link-spam-no-patch]

Hi

This task is not a high-priority for myself, though I am aware of it.
It should be relatively easy to implement (compared to some other
aptitude tasks).  So at the moment it waits for a /robust,
well-designed patch/ from an interested party.

Such a patch should consider the user-config file as well, including
migrating an existing file to the new location specified in basedir
spec..

There are issues with the current use of the user-config file that
lead me to think it is preferable to abandon this in some way, and
encourage users to place aptitude config in /etc/apt/apt.conf[.d] and
not support online option changing.  You can find reports of these
user-config issues on the BTS.

Regards



Information forwarded to debian-bugs-dist@lists.debian.org, Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>:
Bug#671780; Package aptitude. (Sun, 18 Aug 2013 23:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@joshtriplett.org>:
Extra info received and forwarded to list. Copy sent to Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>. (Sun, 18 Aug 2013 23:45:04 GMT) Full text and rfc822 format available.

Message #22 received at 671780@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: 671780@bugs.debian.org
Subject: [PATCH] Move download cache to $XDG_CONFIG_HOME (with fallback to ~/.cache)
Date: Sun, 18 Aug 2013 16:40:58 -0700
[Message part 1 (text/plain, inline)]
Control: tags -1 + patch

The attached git patch fixes this bug.

This only addresses the cache file, not the config file; even if the
latter should move, that seems like it should occur in a separate
change.  Personally I'd argue that the config file has quite a bit of
value; I like being able to keep it in my git-managed home directory.
But in any case, that change shouldn't go in this commit.

- Josh Triplett
[0001-Move-download-cache-to-XDG_CONFIG_HOME-with-fallback.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Josh Triplett <josh@joshtriplett.org> to 671780-submit@bugs.debian.org. (Sun, 18 Aug 2013 23:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>:
Bug#671780; Package aptitude. (Sun, 09 Feb 2014 22:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>. (Sun, 09 Feb 2014 22:45:04 GMT) Full text and rfc822 format available.

Message #29 received at 671780@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 671780@bugs.debian.org, josh@joshtriplett.org
Subject: aptitude: Please move ~/.aptitude/cache to $XDG_CACHE_HOME (default ~/.cache)
Date: Sun, 9 Feb 2014 22:43:36 +0000
[Message part 1 (text/plain, inline)]
Hi,

I created the attached patch, similar to Josh's but moving the cache
if exists.  I am fine with integrating Josh's patch as well.

The reason for this new stab with the modified patch is because I
think that somehow it's important to remove the litter and not leave
~/.aptitude/cache behind.

I think that this file is small enough and loosing its contents
unimportant enough that perhaps this is not needed (and the
paraphernalia to achieve this is a bit ugly, and probably not
foolproof).  But in that case perhaps we should remove instead of
move?

Anyway, I think that it would be nice to fix this.  Thanks Josh for
bringing this to our attention and providing the patch.


Cheers.
-- 
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
[fix-for-671780.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>:
Bug#671780; Package aptitude. (Fri, 28 Feb 2014 16:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Hartwig <mandyke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>. (Fri, 28 Feb 2014 16:03:05 GMT) Full text and rfc822 format available.

Message #34 received at 671780@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>, 671780@bugs.debian.org
Cc: Josh Triplett <josh@joshtriplett.org>
Subject: Re: Bug#671780: aptitude: Please move ~/.aptitude/cache to $XDG_CACHE_HOME (default ~/.cache)
Date: Fri, 28 Feb 2014 23:59:38 +0800
Control: tags -1 + pending

On 10 February 2014 06:43, Manuel A. Fernandez Montecelo
<manuel.montezelo@gmail.com> wrote:
> Hi,
>
> I created the attached patch, similar to Josh's but moving the cache
> if exists.  I am fine with integrating Josh's patch as well.
>

I will merge Josh's patch after some testing this weekend.

The name "XDG_CACHE_DIR/aptitude-download-cache" is not great.  In the
future we may want another file in there, such as binary cache of
aptitude pkgstates.  Changing the name to "aptitude/metadata", as that
is what this particular file is used for (changelogs now, perhaps
copyright file in the future).

> The reason for this new stab with the modified patch is because I
> think that somehow it's important to remove the litter and not leave
> ~/.aptitude/cache behind.

Lots going on there, too much for a simple cache file.

>
> I think that this file is small enough and loosing its contents
> unimportant enough that perhaps this is not needed (and the
> paraphernalia to achieve this is a bit ugly, and probably not
> foolproof).

Right.

>  But in that case perhaps we should remove instead of
> move?
>

Just a cache file, user can clean it up as they desire.

> Anyway, I think that it would be nice to fix this.

> Thanks Josh for
> bringing this to our attention and providing the patch.
>

Yes.



Added tag(s) pending. Request was from Daniel Hartwig <mandyke@gmail.com> to 671780-submit@bugs.debian.org. (Fri, 28 Feb 2014 16:03:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:24:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.